libzypp 17.36.7

Classes | Namespaces | Macros | Typedefs | Enumerations | Functions | Variables
MediaMultiCurl.cc File Reference
`#include <ctype.h>`
`#include <sys/types.h>`
`#include <signal.h>`
`#include <sys/wait.h>`
`#include <netdb.h>`
`#include <arpa/inet.h>`
`#include <glib.h>`
`#include <utility>`
`#include <vector>`
`#include <iostream>`
`#include <algorithm>`
`#include <zypp/ManagedFile.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/media/MediaMultiCurl.h>`
`#include <zypp/zypp_detail/ZYppImpl.h>`
`#include <zypp-core/zyppng/base/private/linuxhelpers_p.h>`
`#include <zypp-curl/parser/MetaLinkParser>`
`#include <zypp-curl/parser/zsyncparser.h>`
`#include <zypp-curl/private/curlhelper_p.h>`
`#include <zypp-curl/auth/CurlAuthData>`
`#include <zypp-curl/parser/metadatahelper.h>`
`#include <zypp-curl/ng/network/curlmultiparthandler.h>`

Go to the source code of this file.

## Classes
struct | zypp::media::Stripe
class | zypp::media::multifetchworker
class | zypp::media::multifetchrequest

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Macros
#define | CURLVERSION_AT_LEAST(M, N, O)

## Typedefs
using | zypp::media::MultiByteHandler = zyppng::CurlMultiPartHandler

## Enumerations
enum | zypp::media::MultiFetchWorkerState { zypp::media::WORKER_STARTING , zypp::media::WORKER_LOOKUP , zypp::media::WORKER_FETCH , zypp::media::WORKER_DISCARD , zypp::media::WORKER_DONE , zypp::media::WORKER_SLEEP , zypp::media::WORKER_BROKEN }

## Functions
static double | zypp::media::currentTime ()
static bool | zypp::media::env_isset (const std::string &name)

## Variables
constexpr auto | zypp::media::MIN_REQ_MIRRS = 4
constexpr auto | zypp::media::MAXURLS = 10
constexpr auto | zypp::media::MIN_STRIPE_SIZE_KB = 4096

## Macro Definition Documentation

## ◆ CURLVERSION_AT_LEAST

#define CURLVERSION_AT_LEAST | ( |  | M,
|  |  | N,
|  |  | O )

Value:
LIBCURL_VERSION_NUM >= ((((M)<<8)+(N))<<8)+(O)

Definition at line 44 of file MediaMultiCurl.cc.